function UnityProgress (dom) {
	this.progress = 0.0;
	this.message = "";
	this.dom = dom;

	var parent = dom.parentNode;

	var loadingContent = null;
	var progressBar = null;

	this.SetProgress = function (progress)
	{
		if (this.progress < progress)
			this.progress = progress;

		this.Update();
	}

	this.SetMessage = function (message)
	{
		this.message = message; 
		this.Update();
	}

	this.Clear = function()
	{
		this.loadingContent = document.getElementById('loading-area');
		this.loadingContent.style.display = "none";
	}

	this.Update = function()
	{
		if (this.progressBar == null)
			this.progressBar = document.getElementById('progress-content');

		this.progressBar.style.width = (this.ClampProgress() * 100) + '%';
	}

	this.ClampProgress = function ()
	{
		return Math.min(1,this.progress);
	}

	this.Update ();
}